---
title: BatteryManager.onlevelchange
slug: Web/API/BatteryManager/onlevelchange
tags:
  - API
  - Battery API
  - Event Handler
  - Property
  - Reference
---
<div>{{obsolete_header}} {{APIRef("Battery API")}}</div>

<p>The <code><strong>BatteryManager.onlevelchange</strong></code> property specifies an event listener to receive {{event("levelchange")}} events. These events occur when the battery {{domxref("BatteryManager.level","level")}} is updated.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">navigator.battery.onlevelchange = funcRef</pre>

<p>Where <code>battery</code> is a {{domxref("BatteryManager")}} object, and <code>funcRef</code> is a function to be called when the {{event("levelchange")}} event occurs.</p>

<h2 id="Example">Example</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;div id="level"&gt;(battery level unknown)&lt;/div&gt;
&lt;div id="stateBaterry"&gt;(charging state unknown)&lt;/div&gt;
</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js; highlight:[3]">navigator.getBattery().then(function(battery) {
  battery.onlevelchange = function(){
    document.querySelector('#level').textContent = battery.level;

    if(battery.charging) {
      document.querySelector('#stateBaterry').textContent =
          "Charging time: " + (battery.chargingTime / 60);
    }
    else {
      document.querySelector('#stateBaterry').textContent =
          "Discharging time: " + (battery.dischargingTime / 60);
    }
  };
});
</pre>

<p>{{ EmbedLiveSample('Example', '100%', 40) }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Battery API")}}</td>
   <td>{{Spec2("Battery API")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BatteryManager.onlevelchange")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("BatteryManager")}}</li>
 <li>{{domxref("Navigator.getBattery")}}</li>
</ul>
